;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50darcsum.el
;; for the Debian darcsum package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The darcsum package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(if (not (file-exists-p "/usr/share/emacs/site-lisp/darcsum"))
    (message "Package darcsum removed but not purged.  Skipping setup.")

  (debian-pkg-add-load-path-item 
   (concat
    "/usr/share/" (symbol-name debian-emacs-flavor) "/site-lisp/darcsum"))

  (autoload 'darcsum-changes "darcsum" nil t)
  (autoload 'darcsum-whatsnew "darcsum" nil t)
  (autoload 'darcsum-view "darcsum" nil t))
